Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTextureCoordinateFunction Class Reference
[Nodes]

The SoTextureCoordinateFunction class is an abstract base class for texture coordinate generating nodes. More...

`#include <Inventor/nodes/SoTextureCoordinateFunction.h>`

Inheritance diagram for SoTextureCoordinateFunction:

List of all members.

## Public Methods
| SoTextureCoordinateFunction (void)
## Static Public Methods
void | initClass (void)
## Protected Methods
virtual | ~SoTextureCoordinateFunction ()

## Detailed Description

The SoTextureCoordinateFunction class is an abstract base class for texture coordinate generating nodes.

Classes reimplementing SoTextureCoordinateFunction generate texture coordinates by projecting object space surface points using some function.

## Constructor & Destructor Documentation

SoTextureCoordinateFunction::SoTextureCoordinateFunction | ( | void |  | ) |

| Constructor.

SoTextureCoordinateFunction::~SoTextureCoordinateFunction | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTextureCoordinateFunction::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode. Reimplemented in SoTextureCoordinateDefault, SoTextureCoordinateEnvironment, and SoTextureCoordinatePlane.

The documentation for this class was generated from the following files:

- SoTextureCoordinateFunction.h
- SoTextureCoordinateFunction.cpp